Page MenuHomePhabricator

Newcomer tasks: no post-edit suggestion if re-editing article
Closed, ResolvedPublic

Description

This was observed by @Dyolf77_WMF.

  1. I edit a suggested article
  2. Save the edit
  3. Choose the option to close and keep editing the article
  4. Save another edit
  5. Then the post-edit dialog does not give me another suggested article. Instead, it shows this:

Event Timeline

Tgr added a comment.Jun 15 2020, 8:16 AM

This is how we ended up specifying the behavior, AIUI ("This card should not appear when the dialog is shown after a successive edit on an article in the same session.").

RHo added a comment.Jun 15 2020, 5:07 PM

@MMiller_WMF @Tgr - agree this is expected behaviour. However, maybe we can make the CTA "View more suggested edits" text say "Return to homepage" instead to more accurately convey the result of the action.
Perhaps having the word "more" in "View more suggested edits" without showing a suggested edit above it is causing confusion as well.

Moving back to Incoming while we figure out what to do.

Okay, I thought about this today, and I think we should reverse the business rule. I think the rule should be that the user gets the same post-edit dialog after every edit. Per our discussion in retro today, I think this will simplify the code, and also de-confuse the user, who may be wondering why they sometimes get a next suggestion and sometimes don't. I don't think that having the suggestion there overburdens them. Therefore, I am putting this back into Ready for Development. @Tgr -- would this, indeed, simplify things?

Change 606159 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] PostEdit dialog: Remove variant without card

https://gerrit.wikimedia.org/r/606159

I realize that this still has a pending question for @Tgr, but in the meantime the patch is pretty straightforward so I've pushed that up for review.

Tgr added a comment.Jun 17 2020, 12:56 PM

People will still get no card sometimes - when there is an error, or when their task queue is empty (unless we decide to handle those cases in a different way). It does simplify the code a bit, though, as we don't need to track whether the panel was shown before.

UX-wise, in hindsight, this was kind of a worst-of-both-worlds approach. My original complaint was that the panel gets in the way of people who edit the same article many times in succession (a common workflow for many people, and hard to avoid on mobile where you can only edit section-by-section). But without a card it gets in the way just the same, but is also less useful and less predictable.

Change 606159 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] PostEdit dialog: Remove variant without card

https://gerrit.wikimedia.org/r/606159

Checked in betalabs (added to the list of post-deployment (wmf.38) checking.

The post-edit dialog box (the example below) will be always displayed after editing SE article (no matter how many edit rounds are done).

Moving to PM review, and I've also update the business rules on the T245790 parent task description to reflect this change.

MMiller_WMF closed this task as Resolved.Jun 26 2020, 2:50 AM

Thank you!